version: 1
default_environment: dev
project_id: 3c98769b-2120-4b9d-ae94-27c806777e15
environments:
- name: dev
- name: staging
- name: prod
plugins:
  extractors:
  - name: tap-shopify
    variant: singer-io
    pip_url: tap-shopify
    config:
      shop: blonyx-ca
      start_date: '2021-01-01'
    schema:
      orders:
        subtotal_price_set:
          type:
          - object
          - 'null'
        total_discounts_set:
          type:
          - object
          - 'null'
        total_line_items_price_set:
          type:
          - object
          - 'null'
        total_price_set:
          type:
          - object
          - 'null'
        total_shipping_price_set:
          type:
          - object
          - 'null'
        total_tax_set:
          type:
          - object
          - 'null'
        discounted_price_set:
          type:
          - object
          - 'null'
        price_set:
          type:
          - object
          - 'null'
  - name: tap-shopify_us
    inherit_from: tap-shopify
    config:
      shop: rowantrial
      api-key: ${TAP_SHOPIFY_US_API_KEY}
  - name: tap-shopify_ca
    inherit_from: tap-shopify
    config:
      shop: blonyx-ca
      api-key: ${TAP_SHOPIFY_CA_API_KEY}
  - name: tap-shopify_uk
    inherit_from: tap-shopify
    config:
      shop: blonyx-uk
      api-key: ${TAP_SHOPIFY_UK_API_KEY}
  - name: tap-amazon-sp
    variant: singer-io
    pip_url: git+https://github.com/singer-io/tap-amazon-sp.git
    config:
      start_date: '2022-11-25T18:22:40'
      aws_access_key: ${TAP_AMAZON_SP_AWS_ACCESS_KEY}
      lwa_app_id: ${AMAZON_APPLICATION_ID}
      lwa_client_secret: ${TAP_AMAZON_SP_CLIENT_SECRET}
  - name: tap-singer-jsonl
    variant: kgpayne
    pip_url: tap-singer-jsonl
  - name: tap-csv
    variant: meltanolabs
    pip_url: git+https://github.com/MeltanoLabs/tap-csv.git
  - name: tap-recharge
    variant: singer-io
    pip_url: tap-recharge==1.0.3
    config:
      start_date: '2022-11-25T18:22:40'
  loaders:
  - name: target-bigquery
    variant: adswerve
    pip_url: git+https://github.com/adswerve/target-bigquery.git@0.12.0
  - name: target-jsonl
    variant: andyh1203
    pip_url: target-jsonl
  - name: target-jsonl-shopify_ca
    inherit_from: target-jsonl
    config:
      destination_path: ${TARGET_JSONL_SHOPIFY_CA_DESTINATION_PATH}
  - name: target-jsonl-shopify_us
    inherit_from: target-jsonl
    config:
      destination_path: ${TARGET_JSONL_SHOPIFY_US_DESTINATION_PATH}
  - name: target-jsonl-shopify_uk
    inherit_from: target-jsonl
    config:
      destination_path: ${TARGET_JSONL_SHOPIFY_UK_DESTINATION_PATH}
